<?php
/*######################################################### 
# MOSAIC CONTROL V 1.3                                    #
#                                                         #
# (c) 2006 by http://www.yellowgreen.de                   #
#########################################################*/

// SETTINGS

		// Modules
		$modules = array(
			"transfer",
			"photon",
			"copyright",
			"email",
			"filenames",
			"reset",
			"guest",
			"basecolor",
			"mode",
			"sizes",
			"update",
		);

		// Paths & standard variables
		$gallery_dir = "../gallery/";
		$cache_dir = $gallery_dir . "cache/";
		$backup = $gallery_dir . "backup/";
		$config = $gallery_dir . "config/";
		$modules_dir = "modules/";
		$password_file = $config . ".ht_pass";
		$guest_password_file = $config . ".ht_guest_pass";
		$master_css = "../sources/master.css";
		include("sources/functions.php");

		if(!file_exists($gallery_dir)) mkdir($gallery_dir);
		if(!file_exists($config)) mkdir($config);

		// Error message handling
		error_reporting(0);

// EXECUTIONS

		// Check system requirements
		if(phpversion() < 4) die("FEHLER: Es wird mindestens PHP 4.0 zum Ausfhren von MOSAIC CONTROL bentigt. Die derzeit installierte Version des Servers ist " . phpversion());
		if(!extension_loaded("gd")) die("FEHLER: Die PHP-Erweiterung GD-LIB konnte nicht geladen werden. Bitte wenden Sie sich an Ihren Webhosting-Anbieter.");
		if(!is_writable($gallery_dir)) die("FEHLER: Das Verzeichnis \"$gallery_dir\" ist schreibgeschtzt. Bitte korrigieren Sie die Verzeichnisrechte mit Ihrem FTP-Programm oder installieren Sie MOSAIC erneut.");
		if(file_exists($cache_dir)) if(!is_writable($cache_dir)) die("FEHLER: Das Verzeichnis \"$cache\" ist schreibgeschtzt. Bitte korrigieren Sie die Verzeichnisrechte mit Ihrem FTP-Programm oder installieren Sie MOSAIC erneut.");
		if(file_exists($backup)) if(!is_writable($backup)) die("FEHLER: Das Verzeichnis \"$backup\" ist schreibgeschtzt. Bitte korrigieren Sie die Verzeichnisrechte mit Ihrem FTP-Programm oder installieren Sie MOSAIC erneut.");
		if(!is_writable($config)) die("FEHLER: Das Verzeichnis \"$config\" ist schreibgeschtzt. Bitte korrigieren Sie die Verzeichnisrechte mit Ihrem FTP-Programm oder installieren Sie MOSAIC erneut.");

		// Save password if no password exists
		if(!file_exists($password_file) && isset($_POST["submit_password"]) && isset($_POST["user_password"]) && $_POST["user_password"] != "") {
			$open = fopen($password_file, "w");
			fwrite($open, $_POST["user_password"]);
			fclose($open);
		}

		// Start session
		session_start();
		if(!isset($_SESSION["password_check"]) && isset($_POST["user_password"]) && $_POST["user_password"] != "") {
			if($_POST["user_password"] == file_get_contents($password_file)) { $_SESSION["password_check"] = true; $_SESSION["user_password"] = $_POST["user_password"]; }
			if($_POST["user_password"] == file_get_contents($guest_password_file)) $_SESSION["password_check_guest"] = true;
		}
		
		// End session
		if(isset($_GET["logoff"])) {
			unset($_SESSION["user_password"]);
			unset($_SESSION["password_check"]);
			unset($_SESSION["password_check_guest"]);
			unset($_SESSION["update_check"]);
			header("location: ./");
			exit;
		}

		// Get images
		$gallery_open = opendir($gallery_dir);
		while($image = readdir($gallery_open)) {
			$imagedata = getimagesize($gallery_dir . $image);
			if($imagedata[2] == 1 || $imagedata[2] == 2 || $imagedata[2] == 3) $images[] = $image;
		}
		closedir($gallery_open);

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>MOSAIC CONTROL</title>
	
	<link rel="stylesheet" href="sources/master.css" type="text/css">
	<script src="../sources/popups/popup.js" type="text/javascript"></script>
</head>

<body><a name="top"></a>

<div class="options">
		<?php if(isset($_SESSION["password_check"]) ||  isset($_SESSION["password_check_guest"])) echo '<a href="?logoff">BEENDEN X</a>&nbsp;&nbsp;&nbsp;'; ?><a href="../help/" target="_blank" onclick="return popup(this, 'Hilfe', 800, 600)">HILFE ?</a>
</div>

<?php // Login module
	echo '<div class="module" style="margin-bottom:15px">' . "\n";
			echo '<p><img src="layout/mosaic-control.gif" width="170" height="15" alt="MOSAIC CONTROL"></p>';

			// Load modules
			if(isset($_SESSION["password_check"])) {
				for($i = 0; $i < count($modules); $i++)
					echo '<a href="#' . $modules[$i] . '"><img style="margin-right:5px" src="' . $modules_dir . $modules[$i] . '/module-icon.gif" height="25" alt="' . $modules[$i] . '"></a>';
			}
			
			// Show login
			if(!isset($_POST["submit_password"]) && !isset($_SESSION["password_check"]) && !isset($_SESSION["password_check_guest"])) {
				echo "<p>Mit MOSAIC CONTROL k&ouml;nnen Sie Ihre Fotos online bearbeiten, l&ouml;schen, heraufladen, von anderen Websites zu Ihrer Galerie &uuml;bertragen und die Farbgebung von MOSAIC Ihrer Website anpassen.</p>";
				if(file_exists($password_file))
					echo "<p>Bitte geben Sie Ihr Kennwort ein, um MOSAIC CONTROL zu starten. Hilfe bei einem vergessenen Kennwort erhalten Sie <a href=\"../help/#kennwort\" target=\"_blank\" onclick=\"return popup(this, 'Hilfe', 800, 600)\">hier</a>.</p>";
						else echo "<p>Sie melden Sich zum ersten Mal an. Bitte vergeben Sie zun&auml;chst ein Kennwort, mit dem Sie sich zuk&uuml;nftig anmelden m&ouml;chten.</p>";
				echo "<form method=\"post\"><input type=\"password\" name=\"user_password\" id=\"password_field\">&nbsp;<input type=\"submit\" value=\"OK\" name=\"submit_password\"></form>";
				
				echo '<script type="text/javascript">';
				echo '	function setCursor() { document.getElementById("password_field").focus(); }';
				echo '	window.onload = setCursor;';
				echo '</script>';
			}
			
			// Show login for wrong password
			if(isset($_POST["submit_password"]) && !isset($_SESSION["password_check"]) && !isset($_SESSION["password_check_guest"])) {
				echo "<p>Das eingegebene Kennwort ist falsch. Bitte versuchen Sie es erneut. Hilfe bei einem vergessenen Kennwort erhalten Sie <a href=\"../help/#kennwort\" target=\"_blank\" onclick=\"return popup(this, 'Hilfe', 800, 600)\">hier</a>.</p>";
				echo "<form method=\"post\"><input type=\"password\" name=\"user_password\" id=\"password_field\">&nbsp;<input type=\"submit\" value=\"OK\" name=\"submit_password\"></form>";
				
				echo '<script type="text/javascript">';
				echo '	function setCursor() { document.getElementById("password_field").focus(); }';
				echo '	window.onload = setCursor;';
				echo '</script>';
			}
	echo '</div>' . "\n";

	// Load modules
	if(isset($_SESSION["password_check"])) {
		for($i = 0; $i < count($modules); $i++) {
			include($modules_dir . $modules[$i] . "/module.php");
			if($i < count($modules) - 1) echo '<div class="module-options"><a href="#top"><img src="layout/top-symbol.gif" width="17" height="18" alt="Zur Modulauswahl"></a></div>';
		}
	}
	
	// Load guest modules
	if(isset($_SESSION["password_check_guest"])) {
		include($modules_dir . "transfer/module.php");
	}
?>

<noscript><div id="noscript">Die Unterst&uuml;tzung f&uuml;r JavaScript ist in Ihrem Browser deaktiviert. MOSAIC CONTROL kann nicht ordnungsgem&auml;&szlig; ausgef&uuml;hrt werden.</div></noscript>

</body>
</html>
