<?php
	if(isset($_SESSION["password_check"])) {
		// Function: Draw smooth circle
		function imageSmoothCircle( &$img, $cx, $cy, $cr, $color_agb ) {
			$string = str_replace("#","",$color_agb);
			$color['R'] = hexdec(substr($string,0,2));
			$color['G'] = hexdec(substr($string,2,2));
			$color['B'] = hexdec(substr($string,4,2)); 
			
			$ir = $cr;
			$ix = 0;
			$iy = $ir;
			$ig = 2 * $ir - 3;
			$idgr = -6;
			$idgd = 4 * $ir - 10;
			$fill = imageColorExactAlpha( $img, $color[ 'R' ], $color[ 'G' ], $color[ 'B' ], 0 );
			imageLine( $img, $cx + $cr - 1, $cy, $cx, $cy, $fill );
			imageLine( $img, $cx - $cr + 1, $cy, $cx - 1, $cy, $fill );
			imageLine( $img, $cx, $cy + $cr - 1, $cx, $cy + 1, $fill );
			imageLine( $img, $cx, $cy - $cr + 1, $cx, $cy - 1, $fill );
			$draw = imageColorExactAlpha( $img, $color[ 'R' ], $color[ 'G' ], $color[ 'B' ], 42 );
			imageSetPixel( $img, $cx + $cr, $cy, $draw );
			imageSetPixel( $img, $cx - $cr, $cy, $draw );
			imageSetPixel( $img, $cx, $cy + $cr, $draw );
			imageSetPixel( $img, $cx, $cy - $cr, $draw );
			while ( $ix <= $iy - 2 ) {
			   if ( $ig < 0 ) {
				   $ig += $idgd;
				   $idgd -= 8;
				   $iy--;
			   } else {
				   $ig += $idgr;
				   $idgd -= 4;
			   }
			   $idgr -= 4;
			   $ix++;
			   imageLine( $img, $cx + $ix, $cy + $iy - 1, $cx + $ix, $cy + $ix, $fill );
			   imageLine( $img, $cx + $ix, $cy - $iy + 1, $cx + $ix, $cy - $ix, $fill );
			   imageLine( $img, $cx - $ix, $cy + $iy - 1, $cx - $ix, $cy + $ix, $fill );
			   imageLine( $img, $cx - $ix, $cy - $iy + 1, $cx - $ix, $cy - $ix, $fill );
			   imageLine( $img, $cx + $iy - 1, $cy + $ix, $cx + $ix, $cy + $ix, $fill );
			   imageLine( $img, $cx + $iy - 1, $cy - $ix, $cx + $ix, $cy - $ix, $fill );
			   imageLine( $img, $cx - $iy + 1, $cy + $ix, $cx - $ix, $cy + $ix, $fill );
			   imageLine( $img, $cx - $iy + 1, $cy - $ix, $cx - $ix, $cy - $ix, $fill );
			   $filled = 0;
			   for ( $xx = $ix - 0.45; $xx < $ix + 0.5; $xx += 0.2 ) {
				   for ( $yy = $iy - 0.45; $yy < $iy + 0.5; $yy += 0.2 ) {
					   if ( sqrt( pow( $xx, 2 ) + pow( $yy, 2 ) ) < $cr ) $filled += 4;
				   }
			   }
			   $draw = imageColorExactAlpha( $img, $color[ 'R' ], $color[ 'G' ], $color[ 'B' ], ( 100 - $filled ) );
			   imageSetPixel( $img, $cx + $ix, $cy + $iy, $draw );
			   imageSetPixel( $img, $cx + $ix, $cy - $iy, $draw );
			   imageSetPixel( $img, $cx - $ix, $cy + $iy, $draw );
			   imageSetPixel( $img, $cx - $ix, $cy - $iy, $draw );
			   imageSetPixel( $img, $cx + $iy, $cy + $ix, $draw );
			   imageSetPixel( $img, $cx + $iy, $cy - $ix, $draw );
			   imageSetPixel( $img, $cx - $iy, $cy + $ix, $draw );
			   imageSetPixel( $img, $cx - $iy, $cy - $ix, $draw );
			}
		}
	
		// Cuntion: Save base color in css file
		function save_basecolor($file, $content) {
			$open = fopen($file, "w");
			fwrite($open, $content);
			fclose($open);
		}
				
		// Get basecolor from css file
		$css_file = file_get_contents($master_css);
		$basecolor = substr($css_file, 13, 7);
		
		// Create style elements
		if(isset($_POST["submit_basecolor"]) && preg_match("/^#[a-z0-9]{6}$/i", $_POST["new_basecolor"]) == 1) {
			// Save new base color in master css file
			$css_file = str_replace($basecolor, $_POST["new_basecolor"], $css_file);
			save_basecolor($master_css, $css_file);
			
			// Get backgound color
			$css_background_color = substr(stristr($css_file, "background-color:#"), 18, 6);
			$color['R'] = hexdec(substr($css_background_color, 0, 2));
			$color['G'] = hexdec(substr($css_background_color, 2, 2));
			$color['B'] = hexdec(substr($css_background_color, 4, 2));
			
			// Create new backward button
			$arrow_backward = imagecreatetruecolor(42, 42);
			$background_color = imagecolorallocate($arrow_backward, $color['R'], $color['G'], $color['B']);
			imagefill($arrow_backward, 0, 0, $background_color);
			imagecolortransparent($arrow_backward, $background_color);
			imageSmoothCircle($arrow_backward, 20, 20, 20, $_POST["new_basecolor"]);
			$arrow_left = imagecreatefrompng("modules/basecolor/arrow_left.png");
			imagecopy($arrow_backward, $arrow_left, 0, 0, 0, 0, 42, 42);
			imagetruecolortopalette($arrow_backward, true, 256);
			imagegif($arrow_backward, "../sources/backward.gif");
			imagedestroy($arrow_backward);
			
			// Create new forward button
			$arrow_forward = imagecreatetruecolor(42, 42);
			$background_color = imagecolorallocate($arrow_forward, $color['R'], $color['G'], $color['B']);
			imagefill($arrow_forward, 0, 0, $background_color);
			imagecolortransparent($arrow_forward, $background_color);
			imageSmoothCircle($arrow_forward, 20, 20, 20, $_POST["new_basecolor"]);
			$arrow_left = imagecreatefrompng("modules/basecolor/arrow_right.png");
			imagecopy($arrow_forward, $arrow_left, 0, 0, 0, 0, 42, 42);
			imagetruecolortopalette($arrow_forward, true, 256);
			imagegif($arrow_forward, "../sources/forward.gif");
			imagedestroy($arrow_forward);
		}
		
		// Set original base color
		$basecolor = substr($css_file, 13, 7);
	
		// Module
		echo '<a name="' . $modules[$i] . '"></a>';
		echo '<div class="module">' . "\n";
			echo '<img class="module-icon" src="' . $modules_dir . $modules[$i] . '/module-icon.gif" height="45">';
			echo "<h3>Farbgebung von MOSAIC &auml;ndern</h3>";
			echo "<p>Nach Wunsch k&ouml;nnen Sie die Farbgebung in MOSAIC Ihrer Website anpassen. Geben Sie die gewnschte Farbe als Hexadezimalwert in RGB ein oder w&auml;hlen Sie eine Farbe aus der Palette.</p>";
			
			echo "<form method=\"post\" action=\"#" . $modules[$i] . "\"><input type=\"text\" id=\"basecolor_field\" name=\"new_basecolor\" value=\"$basecolor\" onkeyup=\"document.getElementById('farbschablone_gewaehlt').style.backgroundColor = document.getElementById('basecolor_field').value\">&nbsp;<input type=\"submit\" name=\"submit_basecolor\" value=\"Farbe verwenden\"></form>";
		
			echo "<table style=\"margin-top:25px; margin-bottom:15px\" cellpadding=\"0\" cellspacing=\"0\"><tr>";
				echo "<td><img usemap=\"#palette\" src=\"modules/basecolor/color-scheme.gif\" width=\"191\" height=\"83\" style=\"border:none; cursor:url(modules/basecolor/pipette.cur)\">";
				echo '<p><a onclick="document.getElementById(\'basecolor_field\').value = \'#3C3C3C\'; document.getElementById(\'farbschablone_gewaehlt\').style.color = \'#3C3C3C\'"><small>ORIGINALFARBE</small></a></p></td>';
				
				echo "<map name=\"palette\">";
					// Colors 1
					echo "<area coords=\"0, 0, 12, 12\" onclick=\"document.getElementById('basecolor_field').value = '#FA0008'; document.getElementById('farbschablone_gewaehlt').style.color = '#FA0008'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 24, 12\" onclick=\"document.getElementById('basecolor_field').value = '#FEFF0C'; document.getElementById('farbschablone_gewaehlt').style.color = '#FEFF0C'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 36, 12\" onclick=\"document.getElementById('basecolor_field').value = '#23FF09'; document.getElementById('farbschablone_gewaehlt').style.color = '#23FF09'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 48, 12\" onclick=\"document.getElementById('basecolor_field').value = '#26FFFE'; document.getElementById('farbschablone_gewaehlt').style.color = '#26FFFE'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 60, 12\" onclick=\"document.getElementById('basecolor_field').value = '#0C06FD'; document.getElementById('farbschablone_gewaehlt').style.color = '#0C06FD'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 72, 12\" onclick=\"document.getElementById('basecolor_field').value = '#F900FD'; document.getElementById('farbschablone_gewaehlt').style.color = '#F900FD'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 84, 12\" onclick=\"document.getElementById('basecolor_field').value = '#CEBCA5'; document.getElementById('farbschablone_gewaehlt').style.color = '#CEBCA5'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 96, 12\" onclick=\"document.getElementById('basecolor_field').value = '#A58F85'; document.getElementById('farbschablone_gewaehlt').style.color = '#A58F85'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 108, 12\" onclick=\"document.getElementById('basecolor_field').value = '#7D6958'; document.getElementById('farbschablone_gewaehlt').style.color = '#7D6958'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 120, 12\" onclick=\"document.getElementById('basecolor_field').value = '#574940'; document.getElementById('farbschablone_gewaehlt').style.color = '#574940'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 132, 12\" onclick=\"document.getElementById('basecolor_field').value = '#322E2C'; document.getElementById('farbschablone_gewaehlt').style.color = '#322E2C'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 144, 12\" onclick=\"document.getElementById('basecolor_field').value = '#CCA576'; document.getElementById('farbschablone_gewaehlt').style.color = '#CCA576'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 156, 12\" onclick=\"document.getElementById('basecolor_field').value = '#AD8653'; document.getElementById('farbschablone_gewaehlt').style.color = '#AD8653'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 168, 12\" onclick=\"document.getElementById('basecolor_field').value = '#946937'; document.getElementById('farbschablone_gewaehlt').style.color = '#946937'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 180, 12\" onclick=\"document.getElementById('basecolor_field').value = '#7B4F22'; document.getElementById('farbschablone_gewaehlt').style.color = '#7B4F22'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 192, 12\" onclick=\"document.getElementById('basecolor_field').value = '#613917'; document.getElementById('farbschablone_gewaehlt').style.color = '#613917'\" shape=\"rect\">";
				
					// Colors 2
					echo "<area coords=\"0, 0, 12, 24\" onclick=\"document.getElementById('basecolor_field').value = '#DE0013'; document.getElementById('farbschablone_gewaehlt').style.color = '#DE0013'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 24, 24\" onclick=\"document.getElementById('basecolor_field').value = '#FFF00C'; document.getElementById('farbschablone_gewaehlt').style.color = '#FFF00C'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 36, 24\" onclick=\"document.getElementById('basecolor_field').value = '#149336'; document.getElementById('farbschablone_gewaehlt').style.color = '#149336'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 48, 24\" onclick=\"document.getElementById('basecolor_field').value = '#18A2E1'; document.getElementById('farbschablone_gewaehlt').style.color = '#18A2E1'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 60, 24\" onclick=\"document.getElementById('basecolor_field').value = '#152186'; document.getElementById('farbschablone_gewaehlt').style.color = '#152186'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 72, 24\" onclick=\"document.getElementById('basecolor_field').value = '#E1007F'; document.getElementById('farbschablone_gewaehlt').style.color = '#E1007F'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 84, 24\" onclick=\"document.getElementById('basecolor_field').value = '#737374'; document.getElementById('farbschablone_gewaehlt').style.color = '#737374'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 96, 24\" onclick=\"document.getElementById('basecolor_field').value = '#656565'; document.getElementById('farbschablone_gewaehlt').style.color = '#656565'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 108, 24\" onclick=\"document.getElementById('basecolor_field').value = '#575858'; document.getElementById('farbschablone_gewaehlt').style.color = '#575858'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 120, 24\" onclick=\"document.getElementById('basecolor_field').value = '#4B4C4E'; document.getElementById('farbschablone_gewaehlt').style.color = '#4B4C4E'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 132, 24\" onclick=\"document.getElementById('basecolor_field').value = '#3C3C3C'; document.getElementById('farbschablone_gewaehlt').style.color = '#3C3C3C'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 144, 24\" onclick=\"document.getElementById('basecolor_field').value = '#322E2C'; document.getElementById('farbschablone_gewaehlt').style.color = '#322E2C'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 156, 24\" onclick=\"document.getElementById('basecolor_field').value = '#1F201F'; document.getElementById('farbschablone_gewaehlt').style.color = '#1F201F'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 168, 24\" onclick=\"document.getElementById('basecolor_field').value = '#131215'; document.getElementById('farbschablone_gewaehlt').style.color = '#131215'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 180, 24\" onclick=\"document.getElementById('basecolor_field').value = '#202020'; document.getElementById('farbschablone_gewaehlt').style.color = '#202020'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 192, 24\" onclick=\"document.getElementById('basecolor_field').value = '#000000'; document.getElementById('farbschablone_gewaehlt').style.color = '#000000'\" shape=\"rect\">";
				
					// Colors 3
					echo "<area coords=\"0, 0, 12, 36\" onclick=\"document.getElementById('basecolor_field').value = '#F1987A'; document.getElementById('farbschablone_gewaehlt').style.color = '#F1987A'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 24, 36\" onclick=\"document.getElementById('basecolor_field').value = '#F2B47F'; document.getElementById('farbschablone_gewaehlt').style.color = '#F2B47F'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 36, 36\" onclick=\"document.getElementById('basecolor_field').value = '#FBCB8C'; document.getElementById('farbschablone_gewaehlt').style.color = '#FBCB8C'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 48, 36\" onclick=\"document.getElementById('basecolor_field').value = '#FDF899'; document.getElementById('farbschablone_gewaehlt').style.color = '#FDF899'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 60, 36\" onclick=\"document.getElementById('basecolor_field').value = '#CCE29F'; document.getElementById('farbschablone_gewaehlt').style.color = '#CCE29F'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 72, 36\" onclick=\"document.getElementById('basecolor_field').value = '#B3D496'; document.getElementById('farbschablone_gewaehlt').style.color = '#B3D496'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 84, 36\" onclick=\"document.getElementById('basecolor_field').value = '#92CB97'; document.getElementById('farbschablone_gewaehlt').style.color = '#92CB97'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 96, 36\" onclick=\"document.getElementById('basecolor_field').value = '#8DCEC7'; document.getElementById('farbschablone_gewaehlt').style.color = '#8DCEC7'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 108, 36\" onclick=\"document.getElementById('basecolor_field').value = '#89D2F2'; document.getElementById('farbschablone_gewaehlt').style.color = '#89D2F2'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 120, 36\" onclick=\"document.getElementById('basecolor_field').value = '#8DAED9'; document.getElementById('farbschablone_gewaehlt').style.color = '#8DAED9'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 132, 36\" onclick=\"document.getElementById('basecolor_field').value = '#9099C7'; document.getElementById('farbschablone_gewaehlt').style.color = '#9099C7'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 144, 36\" onclick=\"document.getElementById('basecolor_field').value = '#9086B7'; document.getElementById('farbschablone_gewaehlt').style.color = '#9086B7'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 156, 36\" onclick=\"document.getElementById('basecolor_field').value = '#AA8BBC'; document.getElementById('farbschablone_gewaehlt').style.color = '#AA8BBC'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 168, 36\" onclick=\"document.getElementById('basecolor_field').value = '#C491BD'; document.getElementById('farbschablone_gewaehlt').style.color = '#C491BD'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 180, 36\" onclick=\"document.getElementById('basecolor_field').value = '#F09DC2'; document.getElementById('farbschablone_gewaehlt').style.color = '#F09DC2'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 192, 36\" onclick=\"document.getElementById('basecolor_field').value = '#F19AA4'; document.getElementById('farbschablone_gewaehlt').style.color = '#F19AA4'\" shape=\"rect\">";
				
					// Colors 4
					echo "<area coords=\"0, 0, 12, 48\" onclick=\"document.getElementById('basecolor_field').value = '#E86245'; document.getElementById('farbschablone_gewaehlt').style.color = '#E86245'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 24, 48\" onclick=\"document.getElementById('basecolor_field').value = '#EF8E4E'; document.getElementById('farbschablone_gewaehlt').style.color = '#EF8E4E'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 36, 48\" onclick=\"document.getElementById('basecolor_field').value = '#F6B255'; document.getElementById('farbschablone_gewaehlt').style.color = '#F6B255'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 48, 48\" onclick=\"document.getElementById('basecolor_field').value = '#FEF45F'; document.getElementById('farbschablone_gewaehlt').style.color = '#FEF45F'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 60, 48\" onclick=\"document.getElementById('basecolor_field').value = '#BBD366'; document.getElementById('farbschablone_gewaehlt').style.color = '#BBD366'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 72, 48\" onclick=\"document.getElementById('basecolor_field').value = '#8ABF65'; document.getElementById('farbschablone_gewaehlt').style.color = '#8ABF65'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 84, 48\" onclick=\"document.getElementById('basecolor_field').value = '#4AAF67'; document.getElementById('farbschablone_gewaehlt').style.color = '#4AAF67'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 96, 48\" onclick=\"document.getElementById('basecolor_field').value = '#36B4AD'; document.getElementById('farbschablone_gewaehlt').style.color = '#36B4AD'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 108, 48\" onclick=\"document.getElementById('basecolor_field').value = '#1CB9EA'; document.getElementById('farbschablone_gewaehlt').style.color = '#1CB9EA'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 120, 48\" onclick=\"document.getElementById('basecolor_field').value = '#4D92C4'; document.getElementById('farbschablone_gewaehlt').style.color = '#4D92C4'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 132, 48\" onclick=\"document.getElementById('basecolor_field').value = '#5372B1'; document.getElementById('farbschablone_gewaehlt').style.color = '#5372B1'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 144, 48\" onclick=\"document.getElementById('basecolor_field').value = '#6355A0'; document.getElementById('farbschablone_gewaehlt').style.color = '#6355A0'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 156, 48\" onclick=\"document.getElementById('basecolor_field').value = '#88579D'; document.getElementById('farbschablone_gewaehlt').style.color = '#88579D'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 168, 48\" onclick=\"document.getElementById('basecolor_field').value = '#AF5DA3'; document.getElementById('farbschablone_gewaehlt').style.color = '#AF5DA3'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 180, 48\" onclick=\"document.getElementById('basecolor_field').value = '#E862A0'; document.getElementById('farbschablone_gewaehlt').style.color = '#E862A0'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 192, 48\" onclick=\"document.getElementById('basecolor_field').value = '#E65E72'; document.getElementById('farbschablone_gewaehlt').style.color = '#E65E72'\" shape=\"rect\">";
				
					// Colors 5
					echo "<area coords=\"0, 0, 12, 60\" onclick=\"document.getElementById('basecolor_field').value = '#DA001D'; document.getElementById('farbschablone_gewaehlt').style.color = '#DA001D'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 24, 60\" onclick=\"document.getElementById('basecolor_field').value = '#E75A11'; document.getElementById('farbschablone_gewaehlt').style.color = '#E75A11'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 36, 60\" onclick=\"document.getElementById('basecolor_field').value = '#F19509'; document.getElementById('farbschablone_gewaehlt').style.color = '#F19509'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 48, 60\" onclick=\"document.getElementById('basecolor_field').value = '#FFF00C'; document.getElementById('farbschablone_gewaehlt').style.color = '#FFF00C'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 60, 60\" onclick=\"document.getElementById('basecolor_field').value = '#95C60D'; document.getElementById('farbschablone_gewaehlt').style.color = '#95C60D'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 72, 60\" onclick=\"document.getElementById('basecolor_field').value = '#4EA921'; document.getElementById('farbschablone_gewaehlt').style.color = '#4EA921'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 84, 60\" onclick=\"document.getElementById('basecolor_field').value = '#149336'; document.getElementById('farbschablone_gewaehlt').style.color = '#149336'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 96, 60\" onclick=\"document.getElementById('basecolor_field').value = '#15988E'; document.getElementById('farbschablone_gewaehlt').style.color = '#15988E'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 108, 60\" onclick=\"document.getElementById('basecolor_field').value = '#199EE3'; document.getElementById('farbschablone_gewaehlt').style.color = '#199EE3'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 120, 60\" onclick=\"document.getElementById('basecolor_field').value = '#1067B3'; document.getElementById('farbschablone_gewaehlt').style.color = '#1067B3'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 132, 60\" onclick=\"document.getElementById('basecolor_field').value = '#0C4799'; document.getElementById('farbschablone_gewaehlt').style.color = '#0C4799'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 144, 60\" onclick=\"document.getElementById('basecolor_field').value = '#152186'; document.getElementById('farbschablone_gewaehlt').style.color = '#152186'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 156, 60\" onclick=\"document.getElementById('basecolor_field').value = '#611681'; document.getElementById('farbschablone_gewaehlt').style.color = '#611681'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 168, 60\" onclick=\"document.getElementById('basecolor_field').value = '#8C007C'; document.getElementById('farbschablone_gewaehlt').style.color = '#8C007C'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 180, 60\" onclick=\"document.getElementById('basecolor_field').value = '#E1007F'; document.getElementById('farbschablone_gewaehlt').style.color = '#E1007F'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 192, 60\" onclick=\"document.getElementById('basecolor_field').value = '#E2004E'; document.getElementById('farbschablone_gewaehlt').style.color = '#E2004E'\" shape=\"rect\">";
				
					// Colors 6
					echo "<area coords=\"0, 0, 12, 72\" onclick=\"document.getElementById('basecolor_field').value = '#990034'; document.getElementById('farbschablone_gewaehlt').style.color = '#990034'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 24, 72\" onclick=\"document.getElementById('basecolor_field').value = '#A3441B'; document.getElementById('farbschablone_gewaehlt').style.color = '#A3441B'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 36, 72\" onclick=\"document.getElementById('basecolor_field').value = '#A46808'; document.getElementById('farbschablone_gewaehlt').style.color = '#A46808'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 48, 72\" onclick=\"document.getElementById('basecolor_field').value = '#B4A609'; document.getElementById('farbschablone_gewaehlt').style.color = '#B4A609'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 60, 72\" onclick=\"document.getElementById('basecolor_field').value = '#688B0F'; document.getElementById('farbschablone_gewaehlt').style.color = '#688B0F'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 72, 72\" onclick=\"document.getElementById('basecolor_field').value = '#2A791C'; document.getElementById('farbschablone_gewaehlt').style.color = '#2A791C'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 84, 72\" onclick=\"document.getElementById('basecolor_field').value = '#0E6827'; document.getElementById('farbschablone_gewaehlt').style.color = '#0E6827'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 96, 72\" onclick=\"document.getElementById('basecolor_field').value = '#0F6D67'; document.getElementById('farbschablone_gewaehlt').style.color = '#0F6D67'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 108, 72\" onclick=\"document.getElementById('basecolor_field').value = '#106E9E'; document.getElementById('farbschablone_gewaehlt').style.color = '#106E9E'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 120, 72\" onclick=\"document.getElementById('basecolor_field').value = '#0B4E7C'; document.getElementById('farbschablone_gewaehlt').style.color = '#0B4E7C'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 132, 72\" onclick=\"document.getElementById('basecolor_field').value = '#073368'; document.getElementById('farbschablone_gewaehlt').style.color = '#073368'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 144, 72\" onclick=\"document.getElementById('basecolor_field').value = '#0E1560'; document.getElementById('farbschablone_gewaehlt').style.color = '#0E1560'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 156, 72\" onclick=\"document.getElementById('basecolor_field').value = '#450C5A'; document.getElementById('farbschablone_gewaehlt').style.color = '#450C5A'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 168, 72\" onclick=\"document.getElementById('basecolor_field').value = '#65005E'; document.getElementById('farbschablone_gewaehlt').style.color = '#65005E'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 180, 72\" onclick=\"document.getElementById('basecolor_field').value = '#9A0053'; document.getElementById('farbschablone_gewaehlt').style.color = '#9A0053'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 192, 72\" onclick=\"document.getElementById('basecolor_field').value = '#9D0039'; document.getElementById('farbschablone_gewaehlt').style.color = '#9D0039'\" shape=\"rect\">";
				
					// Colors 7
					echo "<area coords=\"0, 0, 12, 84\" onclick=\"document.getElementById('basecolor_field').value = '#74000F'; document.getElementById('farbschablone_gewaehlt').style.color = '#74000F'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 24, 84\" onclick=\"document.getElementById('basecolor_field').value = '#74340B'; document.getElementById('farbschablone_gewaehlt').style.color = '#74340B'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 36, 84\" onclick=\"document.getElementById('basecolor_field').value = '#7E4E07'; document.getElementById('farbschablone_gewaehlt').style.color = '#7E4E07'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 48, 84\" onclick=\"document.getElementById('basecolor_field').value = '#897D06'; document.getElementById('farbschablone_gewaehlt').style.color = '#897D06'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 60, 84\" onclick=\"document.getElementById('basecolor_field').value = '#4F6812'; document.getElementById('farbschablone_gewaehlt').style.color = '#4F6812'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 72, 84\" onclick=\"document.getElementById('basecolor_field').value = '#1E5B1F'; document.getElementById('farbschablone_gewaehlt').style.color = '#1E5B1F'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 84, 84\" onclick=\"document.getElementById('basecolor_field').value = '#0B511F'; document.getElementById('farbschablone_gewaehlt').style.color = '#0B511F'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 96, 84\" onclick=\"document.getElementById('basecolor_field').value = '#0B524D'; document.getElementById('farbschablone_gewaehlt').style.color = '#0B524D'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 108, 84\" onclick=\"document.getElementById('basecolor_field').value = '#0B4E7C'; document.getElementById('farbschablone_gewaehlt').style.color = '#0B4E7C'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 120, 84\" onclick=\"document.getElementById('basecolor_field').value = '#073368'; document.getElementById('farbschablone_gewaehlt').style.color = '#073368'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 132, 84\" onclick=\"document.getElementById('basecolor_field').value = '#072352'; document.getElementById('farbschablone_gewaehlt').style.color = '#072352'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 144, 84\" onclick=\"document.getElementById('basecolor_field').value = '#080E47'; document.getElementById('farbschablone_gewaehlt').style.color = '#080E47'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 156, 84\" onclick=\"document.getElementById('basecolor_field').value = '#350046'; document.getElementById('farbschablone_gewaehlt').style.color = '#350046'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 168, 84\" onclick=\"document.getElementById('basecolor_field').value = '#500045'; document.getElementById('farbschablone_gewaehlt').style.color = '#500045'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 180, 84\" onclick=\"document.getElementById('basecolor_field').value = '#780035'; document.getElementById('farbschablone_gewaehlt').style.color = '#780035'\" shape=\"rect\">";
					echo "<area coords=\"0, 0, 192, 84\" onclick=\"document.getElementById('basecolor_field').value = '#5A0035'; document.getElementById('farbschablone_gewaehlt').style.color = '#5A0035'\" shape=\"rect\">";
				echo "</map></td>";

				echo "<td>";
					echo '<div id="farbschablone_gewaehlt" style="padding-left:50px; color:' . $basecolor . '">';
						echo '<p><img src="../sources/backward.gif" width="42" height="42" align="left"><img src="../sources/forward.gif" width="42" height="42" align="right"><br clear="all"></p>';
						echo '<p>MOSAIC &bull; <strong>MOSAIC</strong></p>';
					echo '</div>';
				echo "</td>";
			
			echo "</tr></table>";
			
			echo '<p class="context">Design-Tipp: Vermeiden Sie Hintergrundfarben. Mit wei&szlig; erzeugen Sie einen neutralen Raum, gerade richtig f&uuml;r die ad&auml;quate Pr&auml;sentation Ihrer Fotos.</p>';
		echo '</div>' . "\n";
	} else header("location: ../../index.php");
?>