<?php
// FUNCTIONS

	// Function: Correct filename
	function make_valid_filename($string) {
		$string = preg_replace("##i", "ue", $string);
		$string = preg_replace("##i", "oe", $string);
		$string = preg_replace("##i", "ae", $string);
		$string = str_replace(" ", "_", $string);
		$string= preg_replace("/[^._a-zA-Z0-9]/", "", $string);
		return $string;
	}

	// Function: Get remote file content
	function file_getContents($url, $timeout=30) {
		$parsedurl = @parse_url($url); // Split URL
 		
		if(empty($parsedurl['host'])) return null; // Get host
		$host = $parsedurl['host'];
		
		$documentpath = empty($parsedurl['path']) ? '/' : $documentpath = $parsedurl['path']; // Get path
		if(!empty($parsedurl['query'])) $documentpath .= '?'.$parsedurl['query']; 
		
		$port = empty($parsedurl['port']) ? 80 : $port = $parsedurl['port']; // Get port
		
		$fp = fsockopen($host, $port, $errno, $errstr, $timeout); // Open socket
		if(!$fp) return null;
		
		fputs($fp, "GET {$documentpath} HTTP/1.0\r\nHost: {$host}\r\n\r\n"); // Send request
		
		$header = ''; // Get header
		do {
			$line = chop(fgets($fp));
			$header .= $line."\n";
		} while (!empty($line) and !feof($fp));
		
		$result = ''; // Get file content
		while (!feof($fp)) {
			$result .= fgets($fp);
  		}
		
		fclose($fp); // Close socket
		
		preg_match('~^HTTP/1\.\d (?P<status>\d+)~', $header, $matches); // Check header
		$status = $matches['status'];
		if($status == 200) {
			return $result;
		} elseif ($status == 204 or $status == 304) {
			return '';
		} elseif (in_array($status, Array(300, 301, 302, 303, 307))) {
			preg_match('~Location: (?P<location>\S+)~', $header, $match);
			$result = file_getContents($match['location'], $timeout);
		} elseif ($status >= 400) {
			return false;
		}
		
		return $result; // Return content
	}
?>