<?php
			/*##################################################
			# MOSAIC V 1.5                                     #
			#                                                  #
			# (c) by http://www.yellowgreen.de                 #
			# For more information, please read the help file. #
			###################################################*/

// SETTINGS

			// Error message handling
			error_reporting(0);

			// Variables
			$images = "gallery/";
			$mosaic = "sources/mosaic.php";
			$cache = $images . "cache/";
			$config = $images . "config/";
			$config_sizes_file = $config . "sizes.int";
			$config_mosaic_mode = $config . "mode.int";
			
			// Get user/standard settings
			if(!file_exists($config_sizes_file)) {
				$small_size = 90; $small_size_per_row = 5;
				$normal_size = 150; $normal_size_per_row = 3;
				$large_size = 225; $large_size_per_row = 2;
				$standard_mode = "NORMAL";
			} else include($config_sizes_file);
			
			if(!file_exists($config_mosaic_mode)) {
				$mode = "mosaic";
				$images_per_page = 15;
			} else include($config_mosaic_mode);
			
			switch($standard_mode) {
				case "SMALL" : $standard_mode = $small_size; break;
				case "NORMAL" : $standard_mode = $normal_size; break;
				case "LARGE" : $standard_mode = $large_size; break;
				default : $standard_mode = $normal_size; break;
			}
			
			!$_GET["size"] ? $_GET["size"] = $standard_mode : $_GET["size"];
			if($_GET["size"] < $small_size) $_GET["size"] = $small_size;
			if($_GET["size"] > $large_size) $_GET["size"] = $large_size;
			!$_GET["position"] ? $_GET["position"] = 0 : $_GET["position"];
			
			switch($_GET["size"]) {
				case $small_size : $images_per_row = $small_size_per_row; break;
				case $normal_size : $images_per_row = $normal_size_per_row; break;
				case $large_size : $images_per_row = $large_size_per_row; break;
				default : $images_per_row = $normal_size_per_row; break;
			}

// APPLICATIONS

			// Check system requirements
			if(!file_exists($images)) mkdir($images);

			if(phpversion() < 4) die("FEHLER: Es wird mindestens PHP 4.01 zum Ausfhren von MOSAIC bentigt. Die derzeit installierte Version des Servers ist " . phpversion());
			if(!extension_loaded("gd")) die("FEHLER: Die PHP-Erweiterung GD-LIB konnte nicht geladen werden. Bitte wenden Sie sich an Ihren Webhosting-Anbieter.");
			if(!is_writable($images)) die("FEHLER: Das Verzeichnis \"$images\" ist schreibgeschtzt. Bitte korrigieren Sie die Verzeichnisrechte mit Ihrem FTP-Programm oder installieren Sie MOSAIC erneut.");
			if(file_exists($cache)) if(!is_writable($cache)) die("FEHLER: Das Verzeichnis \"$cache\" ist schreibgeschtzt. Bitte korrigieren Sie die Verzeichnisrechte mit Ihrem FTP-Programm oder installieren Sie MOSAIC erneut.");
			
			// Get images
			$images_open = opendir($images);
			while($dir_entry = readdir($images_open)) {
				$imagedata = getimagesize($images . $dir_entry);
				if($imagedata[2] == 1 || $imagedata[2] == 2 || $imagedata[2] == 3) $image[] = $dir_entry;
			}
			closedir($images_open);
			
			// Check for number of images, images left (for full pattern), images per site and sort by name
			$number_of_images = count($image);
			sort($image);
			$images_until_end = $number_of_images - $_GET["position"];
			if($mode == "fullpage") $images_per_site = $number_of_images; else $images_per_site = $images_per_row * $images_per_row;
			if($mode == "gallery") $images_per_site = $images_per_page;
			
			// Fill pattern to maximum
			if($number_of_images - $_GET["position"] <= $images_per_site && $number_of_images > $images_per_site) $_GET["position"] = $number_of_images - $images_per_site;
			
			// Set variables for navigation
			if($mode == "gallery") $number_of_sites = ceil($number_of_images / $images_per_page); else $number_of_sites = ceil($number_of_images / $images_per_site);
			if($mode == "gallery") $site = ceil(($_GET["position"] / $images_per_page) + 1); else $site = ceil(($_GET["position"] / $images_per_site) + 1);
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>MOSAIC 1.5</title>
	
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1"> 
	<meta name="page-type" content="Gallery">
	<meta name="copyright" content="www.yellowgreen.de">

	<link href="sources/master.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="sources/master.js"></script>
	<script type="text/javascript" src="sources/popups/popup.js"></script>
</head>

<body>

<table id="table-layout">
	<tr><td>&nbsp;</td><td align="left" style="padding-bottom:20px"><a href="http://yellowgreen.de/produkte/mosaic/" target="_blank"><img src="sources/logo.gif" width="100" height="18" alt="MOSAIC"></a></td><td>&nbsp;</td></tr>

	<?php // OPTIONS
		if(!isset($_GET["slideshow"])) {
			echo '<tr>';
				echo '<td></td><td id="mosaic-mode">';
					if($mode != "gallery") {
						echo '<a'; if($_GET["size"] == $small_size) echo ' class="active"'; echo ' href="?position=' . $_GET["position"] . '&amp;size=' . $small_size . '" title="' . $small_size . ' &times; ' . $small_size . '">SMALL</a>&nbsp;&bull;&nbsp;';
						echo '<a'; if($_GET["size"] == $normal_size) echo ' class="active"'; echo ' href="?position=' . $_GET["position"] . '&amp;size=' . $normal_size . '" title="' . $normal_size . ' &times; ' . $normal_size . '">NORMAL</a>&nbsp;&bull;&nbsp;';
						echo '<a'; if($_GET["size"] == $large_size) echo ' class="active"'; echo ' href="?position=' . $_GET["position"] . '&amp;size=' . $large_size . '" title="' . $large_size . ' &times; ' . $large_size . '">LARGE</a>';
					}
					if($mode == "fullpage") echo '&nbsp; | &nbsp;<a href="index.php?slideshow" onclick="return popup(this, \'MOSAIC\', 650, 650)">SLIDESHOW</a>';
				echo '</td><td></td>';
			echo '</tr>';
		}
	?>
	<tr>
		<!-- BACKWARD -->
		<td <?php if($mode != "fullpage") echo 'width="60"'; else echo "&nbsp;"; ?> align="left" valign="middle">
			<?php
				if(!isset($_GET["slideshow"])) {
					if($_GET["position"] - $images_per_site > 0 ) $forward_to_position = $_GET["position"] - $images_per_site; else $forward_to_position = 0;
					if($_GET["position"] >= 1) echo '<a href="?position=' . $forward_to_position . '&amp;size=' . $_GET["size"] . '" title="page back"><img src="sources/backward.gif" width="42" height="42" alt="&lt;"></a>';
				} else {
					echo '<a onclick="slideBackward()" title="image back"><img src="sources/backward.gif" width="42" height="42" alt="&lt;"></a>';
				}
			?>
		</td>
		
		<!-- MOSAIC PATTERN / SLIDESHOW -->
		<td id="mosaic" align="left" valign="top" <?php if($mode != "mosaic") echo 'style="background-color:transparent"'; else if(!isset($_GET["slideshow"])) echo 'style="height:' . ($_GET["size"] * $images_per_row) . 'px"'; ?>>
			<span id="mosaic_width"><?php
				// Images
				if(!isset($_GET["slideshow"])) {
					for($i = $_GET["position"]; $i < ($_GET["position"] + $images_per_site) && $i < $number_of_images; $i++) {
						$imagedata = getimagesize($images . $image[$i]); $width = $imagedata[0]; $height = $imagedata[1];
						echo '<a href="' . $images . $image[$i] . '" onclick="return imagePopup(this, \'' .  $image[$i] . '\', ' . $width . ', ' . $height . ')" target="_blank"><img class="thumbnail" src="' . $mosaic . '?image=' . $images . $image[$i] . '&amp;size=' . $_GET["size"] . '&amp;mode=mosaic" alt="' . $image[$i] . '"></a>';
						if($mode == "mosaic") if(!$break) { $break = 1; $break++; } else if($break == $images_per_row) { echo "<br>"; $break = 1; } else $break++;
						if($mode == "fullpage") echo "&shy;";
					}
				
				// Slideshow
				} else {
					echo '<script type="text/javascript">';
					echo 'var mosaic = "' . $mosaic . '";';
					echo 'var images = "' . $images . '";';
					echo 'var image = new Array();';
					echo 'var slideImageWidth = new Array();';
					echo 'var slideImageHeight = new Array();';
					
					for($i = 0; $i < $number_of_images; $i++) {
						echo 'image[' . $i . '] = "' . $image[$i] . '";';
						$imageScale = getimagesize($images . $image[$i]);
						echo 'slideImageWidth[' . $i . '] = ' . $imageScale[0] . ';';
						echo 'slideImageHeight[' . $i . '] = ' . $imageScale[1] . ';';
					}
					
					echo 'var i = ' . $_GET["position"] . ';';
					echo 'var time = 3000;';
					echo 'var numberOfImages = ' . $number_of_images . ';';
					
					echo 'function slideImage(mode) {';
							echo 'if(mode == "backward") { if(i == 0) i = numberOfImages; i--; }';
							echo 'if(mode == "forward") { if(i == numberOfImages - 1) i = -1; i++; }';
							echo 'document.getElementById("showSite").innerHTML = i + 1;';
							echo 'document.getElementById("slide_image").src = mosaic + "?image=" + images + image[i] + "&size=450&mode=slideshow";';
							echo 'document.getElementById("showFullsize").href = images + image[i];';
							echo 'document.getElementById("showFullsize").onclick = function() { return imagePopup(this, images + image[i], slideImageWidth[i], slideImageHeight[i]); };';
					echo '}';
							
					echo 'document.write("<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" height=\"100%\" border=\"0\"><tr><td style=\"background-color:#000000\" id=\"slideshow_image\" align=\"center\" valign=\"middle\"><a id=\"showFullsize\" href=\"" + images + image[i] + "\" target=\"_blank\" onclick=\"return imagePopup(this, \'" + images + image[i] + "\', \'" + slideImageWidth[i] + "\', \'" + slideImageHeight[i] + "\')\"><img id=\"slide_image\" src=\"" + mosaic + "?image=" + images + image[i] + "&size=450&mode=slideshow\" onclick=\"play(clickOnImage = 1)\" border=\"0\"></a></td></tr></table>");';
					echo 'play();';
			
					echo '</script>';
					echo '<noscript><div style="color:red; text-align:center; font-weight:bold"><h1>Sorry :-(</h1>No JavaScript, no slidehow.<br><br>Please activate JavaScript in your browser settings. You will enjoy the web much more!</div></noscript>';
				}
			?></span>
		</td>
		
		<!-- FORWARD -->
		<td <?php if($mode != "fullpage") echo 'width="60"'; else echo "&nbsp;"; ?> align="right" valign="middle">
			<?php
				if(!isset($_GET["slideshow"])) {
					if(($number_of_images - $_GET["position"]) < $images_per_site) $forward_to_position = $number_of_images - $_GET["position"]; else $forward_to_position = $_GET["position"] + $images_per_site;
					if($_GET["position"] + $images_per_site < $number_of_images) echo '<a href="?position=' . $forward_to_position . '&amp;size=' . $_GET["size"] . '" title="next page"><img src="sources/forward.gif" width="42" height="42" alt="&gt;"></a>';
				} else {
					echo '<a onclick="slideForward()" title="next image"><img src="sources/forward.gif" width="42" height="42" alt="&gt;"></a>';
				}
			?>
		</td>
	</tr>
	
	<tr>
		<!-- OPTIONS -->
		<td></td><td id="menu">
			<?php // Menu
				if(!isset($_GET["slideshow"])) {
					if($mode != "fullpage") {
						echo '<div style="float:left">PAGE ' . $site . ' OF ' . $number_of_sites . '&nbsp;&bull;&nbsp;' . $number_of_images . '&nbsp;IMAGES</div>';
						echo '<div style="float:right; text-align:right"><a id="quicknavigation_link" onclick="quicknavigation()">PAGES</a>&nbsp;&nbsp;&bull;&nbsp;&nbsp;<a href="?slideshow&amp;position=' . $_GET["position"] . '">SLIDESHOW</a></div>';
					}
				} else {
					echo '<table id="slideshow-menu" cellpadding="0" cellspacing="0"><tr><td valign="middle">';
						echo 'IMAGE <span id="showSite"><script type="text/javascript" language="javascript">document.write(i+1);</script></span> OF ' . $number_of_images . '&nbsp;&nbsp;';
					echo '</td><td>';
						echo '&nbsp;<a onclick="play()" title="Abspielen/Wiederholen"><img src="sources/play.gif" width="70" height="16" alt="PLAY"></a>';
						echo '&nbsp;<a onclick="play()" title="Unterbrechen/Weiterspielen"><img id="pause_button" src="sources/pause.gif" width="70" height="16" alt="PAUSE"></a>';
						echo '&nbsp;<a href="?position=' . $_GET["position"] . '" title="Slideshow beenden"><img src="sources/eject.gif" width="70" height="16" alt="EJECT"></a>';
					echo '</td><td>';
						echo '&nbsp;&nbsp;&nbsp;SPEED';
					echo '</td><td>';
						echo '&nbsp;<a onclick="faster()"><img src="sources/slower.gif" width="18" height="16"></a>';
						echo '&nbsp;<a onclick="slower()"><img src="sources/faster.gif" width="18" height="16"></a>';
					echo '</td><td>';
						echo '&nbsp;<span id="time"><script type="text/javascript" language="javascript">document.write(time/1000);</script> SEC</span>';
					echo '</td></tr></table>';
				}
			?>
			<br clear="all">
			
			<div id="quicknavigation">
				<?php // Quick navigation
					if(!isset($_GET["slideshow"]) && $mode != "fullpage") {
						for($c = 0; $c < $number_of_sites; $c++) {
							if(($c + 1) == $site) echo '<a class="active_site" href="?position=' . ($c * $images_per_site) . '&amp;size=' . $_GET["size"] . '">' . ($c + 1) . '</a>';
								else echo '<a class="inactive_site" href="?position=' . ($c * $images_per_site) . '&amp;size=' . $_GET["size"] . '">' . ($c + 1) . '</a>';
							if($c < $number_of_sites - 1) echo " ";
						}
					}
				?>
			</div>
		</td><td></td>
	</tr>
</table>

</body>
</html>