<?php
// FUNCTIONS
			function calculate_resize($original_width, $original_height, $width, $height) {
				if($original_width > $original_height) { $sizes[0] = $width;	$sizes[1] = round($original_height * (100 * $sizes[0] / $original_width) / 100, 0); }
					else { $sizes[1] = $height; $sizes[0] = round($original_width * (100 * $sizes[1] / $original_height) / 100, 0); }
				return $sizes;
			}

// SETTINGS

			// Error message handling
			error_reporting(0);

			// Variables
			$mode = "application"; // values: application or extension
			$images = "gallery/";
			$sources = "control/modules/photon/";
			$filters = $sources . "filters.php";
			$cache = $images . "cache/";
			$backup = $images . "backup/";
			$password_file = $images . "config/.ht_pass";
			
			if(!isset($_GET["position"])) $_GET["position"] = 0;
			$image_name = substr($_GET["image"], 0, strrpos($_GET["image"], '.'));

// APPLICATIONS

			// Check system requirements
			if(phpversion() < 5) die("FEHLER: Es wird mindestens PHP 5.0 zum Ausfhren von photon bentigt. Die derzeit installierte Version des Servers ist " . phpversion());
			if(!extension_loaded("gd")) die("FEHLER: Die PHP-Erweiterung GD-LIB konnte nicht geladen werden. Bitte wenden Sie sich an Ihren Webhosting-Anbieter.");
			if(!is_writable($images)) die("FEHLER: Das Verzeichnis \"$images\" ist schreibgeschtzt. Bitte korrigieren Sie die Verzeichnisrechte mit Ihrem FTP-Programm oder installieren Sie MOSAIC erneut.");
			if(file_exists($cache)) if(!is_writable($cache)) die("FEHLER: Das Verzeichnis \"$cache\" ist schreibgeschtzt. Bitte korrigieren Sie die Verzeichnisrechte mit Ihrem FTP-Programm oder installieren Sie MOSAIC erneut.");
			if(file_exists($backup)) if(!is_writable($backup)) die("FEHLER: Das Verzeichnis \"$backup\" ist schreibgeschtzt. Bitte korrigieren Sie die Verzeichnisrechte mit Ihrem FTP-Programm oder installieren Sie MOSAIC erneut.");
			if(!file_exists($password_file)) die("Bitte vergeben Sie zunchst ein Passwort in MOSAIC CONTROL.");

			// Check access permission
			session_start();
			if(isset($_GET["user_password"]) && $_GET["user_password"] != "") $_SESSION["password"] = $_GET["user_password"];
			if($_SESSION["password"] != file_get_contents($password_file)) header("Location: " . $sources . "browser_failure.html");

			// Restore original image
			if(isset($_GET["option"]) && $_GET["option"] == "restore" && file_exists($backup . $_GET["image"])) {
				copy($backup . $_GET["image"], $images . $_GET["image"]);
				unlink($backup . $_GET["image"]);
					
				$cache_open = opendir($cache);
				while($dir_entry = readdir($cache_open)) {
					$imagedata = getimagesize($cache . $dir_entry);
					if($imagedata[2] == 1 || $imagedata[2] == 2 || $imagedata[2] == 3) $thumbimage[] = $dir_entry;
				}
				closedir($cache_open);
				
				for($i = 0; $i < count($thumbimage); $i++)
					if(strstr($thumbimage[$i], $image_name) && file_exists($cache . $thumbimage[$i])) unlink($cache . $thumbimage[$i]);
				
				sleep(1);
			}		
			
			// Delete image
			if(isset($_GET["option"]) && $_GET["option"] == "delete" && file_exists($images . $_GET["image"])) {
				unlink($images . $_GET["image"]);
				if(file_exists($backup . $_GET["image"])) unlink($backup . $_GET["image"]);
					
				$cache_open = opendir($cache);
				while($dir_entry = readdir($cache_open)) {
					$imagedata = getimagesize($cache . $dir_entry);
					if($imagedata[2] == 1 || $imagedata[2] == 2 || $imagedata[2] == 3) $thumbimage[] = $dir_entry;
				}
				closedir($cache_open);
				
				for($i = 0; $i < count($thumbimage); $i++)
					if(strstr($thumbimage[$i], $image_name) && file_exists($cache . $thumbimage[$i])) unlink($cache . $thumbimage[$i]);
			}

			// Handle images directory, if in application mode
			if($mode == "application") {
				// Get images in dir
				$images_open = opendir($images);
				$directory_size = 0;
				while($dir_entry = readdir($images_open)) {
					$imagedata = getimagesize($images . $dir_entry);
					if($imagedata[2] == 1 || $imagedata[2] == 2 || $imagedata[2] == 3) {
						$imagedata = getimagesize($images . $dir_entry);
						$size = filesize($images . $dir_entry);
						$listed_image[] = $dir_entry;
						$listed_image_size[] = $size;					
						$listed_image_width[] = $imagedata[0];
						$listed_image_height[] = $imagedata[1];
						$listed_image_type[] = $imagedata[2];
						$directory_size = $directory_size + $size;					
					}
				}
				
				$directory_size = round($directory_size / 1000000, 2);
				closedir($images_open);
			
				// Count images, sort by name and set images per site
				$number_of_images = count($listed_image);
				sort($listed_image);
				$images_per_site = 36;
				
				// Set variables for navigation
				$number_of_sites = ceil($number_of_images / $images_per_site);
				$site = ceil(($_GET["position"] / $images_per_site) + 1);
			}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>PHOTON 1.0</title>
	
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1"> 
	<meta http-equiv="cache-control" content="no-cache">
	
	<style type="text/css">
		body {
			margin:15px;
			background-color:#000000;
			font-family:Arial, Helvetica, sans-serif;
			line-height:11px;
			font-size:10px;
			color:#FFFFFF;
		}
			
		a img { border:none }
		
		a {
			text-decoration:none;
			color:#FFFFFF;
			font-weight:bold;
		}
		
		#images {
			position:absolute;
			top:55px;
			left:15px;
			width:580px;
			padding-right:15px;
			text-align:center;
		}

		.image {
			cursor:pointer;
			cursor:hand;
		}
			
		#forward, #backward {
			margin:15px;
		}

		#options {
			position:absolute;
			top:55px;
			left:625px;
			width:280px;
			text-align:center;
		}
		
		h1, h2, h3, h4, h5 {
			margin-bottom:5px;
			text-align:left;
		}

		.columns td {
			width:50%;
			padding-top:2px;
			padding-bottom:2px;
			padding-right:10px;
			padding-left:10px;
			background-color:#282828;
			text-align:left;
		}
		
		#buttons {
			padding-top:25px;
			padding-bottom:25px;
		}

		#back-to-images {
			position:absolute;
			top:15px;
			right:25px;
			height:14px;
			padding-left:20px;
			background-image:url(<?php echo $sources ?>back-symbol.gif);
			background-position:left;
			background-repeat:no-repeat;
			line-height:14px;
		}

		div#fullsize {
			position:relative;
			top:-25px;
			text-align:left;
		}
		
		#image-info {
			position:relative;
			top:-25px;
			background-color:black;
			padding:5px;
			text-align:left;
		}
		
		#image-info span {
			padding-left:2px;
			padding-right:2px;
			margin-right:5px;
		}
		
		#options div.option {
			width:90px;
			margin-left:10px;
			margin-bottom:10px;
			padding-bottom:1px;
			border:1px solid #222222;
			cursor:pointer;
			cursor:hand;
			line-height:10px;
			font-weight:bold;
			text-align:center;
		}
		
		#preview_status {
			position:absolute;
			top:150px;
			left:240px;
			background-color:#FFFFFF;
			font-weight:bold;
			color:#000000;
			text-align:center;
		}
		
		div#resize {
			padding-bottom:25px;
			text-align:left;
			font-size:12px;
		}
		
		div#resize input, div#resize select {
			width:50px;
			border:1px solid #222222;
			background-color:#333333;
			text-align:center;
			font-size:12px;
			color:#FFFFFF;
		}

		.slider-container {
			width:225px;
			height:20px;
			position:absolute;
			left:645px;
			padding-left:22px;
			background-position:left;
			background-repeat:no-repeat;
		}

		.slider {
			width:180px;
			height:20px;
			padding-left:2px;
			background-image:url(<?php echo $sources ?>slider-level.gif);
			background-position:left;
			background-repeat:no-repeat;
		}
		
		.fader {
			width:15px;
			height:20px;
			background-image:url(<?php echo $sources ?>slider-fader.gif);
			background-position:left;
			background-repeat:no-repeat;
			cursor:pointer;
			cursor:hand;
		}

		.fader-bidirectional {
			width:15px;
			height:20px;
			margin-left:80px;
			background-image:url(<?php echo $sources ?>slider-fader.gif);
			background-position:left;
			background-repeat:no-repeat;
			cursor:pointer;
			cursor:hand;
		}
		
		.level {
			text-align:center;
			font:bold 10px Arial, Helvetica, sans-serif;
			color:#FFFFFF;
		}
		
		#noscript { position:absolute; top:0px; left:0px; width:100%; background-color:#FF0000; text-align:center; font:bold 1.2em Arial, Helvetica, sans-serif; color:#FFFFFF }
	</style>
	
	<script type="text/javascript">
		// Handle resizing window
		function getWindowSize() {
			if(navigator.appName == "Microsoft Internet Explorer")	windowHeight = document.body.clientHeight;
				else windowHeight = window.outerHeight;
			return windowHeight;
		}
		
		// Handle option
		function option(positioin, image, width, height, size, type) {
			space = "&nbsp;&nbsp;&nbsp;";
			option_edit = '<a href="?image=' + image + '"><img src="<?php echo $sources ?>/edit-button.gif" width="90" height="18" alt="edit" alt="edit"></a>';
			option_delete = '<a href="?image=' + image + '&option=delete" onclick="return confirm(\'Mchten Sie das Bild ' + image + ' lschen?\')"><img src="<?php echo $sources ?>/delete-button.gif" width="90" height="18" alt="delete" alt="delete"></a>';
			document.getElementById("buttons").innerHTML = option_edit + space + option_delete;
			
			switch(type) {
				case "1" : type = "CompuServe GIF"; break;
				case "2" : type = "JPEG"; break;
				case "3" : type = "PNG"; break;
				default : type = "Unbekanntes Bildformat";
			}
			
			previewHeight = Math.round(height * (100 * 275 / width) / 100, 0);
			
			document.getElementById("selected_image_preview").src = "<?php echo $filters . "?image=" ?>" + image + "&width=275&height=" + previewHeight;
			document.getElementById("selected_image_preview").style.visibility = "visible";
			
			document.getElementById("image_information").style.visibility = "visible";
			document.getElementById("image_name").innerHTML = image;
			document.getElementById("image_type").innerHTML = type;
			document.getElementById("image_width").innerHTML = width + " Pixel";
			document.getElementById("image_height").innerHTML = height + " Pixel";
			document.getElementById("image_size").innerHTML = Math.round(size / 1000) + " KB";
		}
		
		// Preview Request
		function preview_request() {
			document.getElementById("image_preview").onload = function() {
				preview_status("ready");
			};

			document.getElementById("image_preview").onerror = function() {
				preview_status("error");
			};
		}
		
		// Preview Status and update src
		function preview_status(status) {
			switch(status) {
				case "error" : message = "Vorschau konnte nicht geladen werden."; break;
				case "ready" : message = ""; break;
				case "waiting" : message = "Vorschau wird geladen<br><img src='<?php echo $sources ?>loading.gif' width='120' height='12' alt='loading ...'>"; break;
				case "reload" : message = "Bild wird gespeichert<br><img src='<?php echo $sources ?>loading.gif' width='120' height='12' alt='loading ...'>"; break;
				default : message = status;
			}
			
			document.getElementById("preview_status").innerHTML = message;
			document.getElementById("fullsize_link").href = document.getElementById("image_preview").src;
		}
		
		// Calculate resizing
		var scaleFree;
		function calculateResize(id, originalWidth, originalHeight) {
			if(scaleFree != 1) {
			newWidth = document.getElementById("image_width").value;
			newHeight = document.getElementById("image_height").value;
			
			if(id == "image_width")
				document.getElementById("image_height").value = Math.round(originalHeight * (100 * newWidth / originalWidth) / 100, 0);
					else document.getElementById("image_width").value = Math.round(originalWidth * (100 * newHeight / originalHeight) / 100, 0);
			}
		}
		
		// Change Resolution
		function changeResolution(resolution) {
			resolution = resolution.split(",");
			document.getElementById("image_width").value = resolution[0];
			document.getElementById("image_height").value = resolution[1];
		}

		// Get levels of sliders
		function setSliders(mode) {
			sliders = new Array("brightness", "contrast", "sharpness", "saturation", "smoothness", "temperature");
			
			for(i = 0; i < sliders.length; i++) {
				filterName = sliders[i];
				sliders[filterName] = document.getElementById(sliders[i]).innerHTML;
			}
			
			if(mode == "reset") {
				for(i = 0; i < sliders.length; i++) {
					document.getElementById(sliders[i]).innerHTML = 0;
					if(document.getElementById("fader_" + sliders[i]).className == "fader-bidirectional")
						document.getElementById("fader_" + sliders[i]).style.marginLeft = "80px";
							else document.getElementById("fader_" + sliders[i]).style.marginLeft = "0px";
				}
				
				document.getElementById("image_preview").src = "<?php echo $images . $_GET["image"]; ?>";
			}
		}			
		
		// Start sliding
		function startSlide(slider, fader, level, faderType) {
			if(document.layers) document.captureEvents(Event.MOUSEMOVE);
			document.onmousemove = getMousePosition;
		
			function getMousePosition(e) {
				xPos = e ? e.pageX : window.event.x;

				// Check if ie runs in quirks mode and add scroll position
				doctype = (typeof document.compatMode != "undefined" && document.compatMode != "BackCompat") ? "documentElement" : "body";
				if(document.all && !document.captureEvents) xPos += document[doctype].scrollLeft;
				
				// Set slider and display level in percent
				xPos = xPos - document.getElementById(slider).offsetLeft - 28;
				if(xPos >= 0 && xPos <= 159) document.getElementById(fader).style.marginLeft = xPos + "px";
				marginLeft = document.getElementById(fader).style.marginLeft.split("px");
				levelInPercent = Math.round(100 * marginLeft[0] / 159);
				if(faderType == "bidirectional") levelInPercent = levelInPercent - 50;
				document.getElementById(level).innerHTML = levelInPercent;
			}
		}
		
		// Stop sliding
		function stopSlide(currentLevel) {
			// Stop sliding
			document.onmousemove = function(currentLevel) { };
			
			// Get filter to set
			levelInPercent = new Array("brightness", "contrast", "sharpness", "saturation", "smoothness", "temperature"); filters = "";
			for(i = 0; i < levelInPercent.length; i++) {
				filter = levelInPercent[i];
				levelInPercent[filter] = document.getElementById(filter).innerHTML;
				if(levelInPercent[filter] != "") filters += "&" + levelInPercent[i] + "=" + levelInPercent[filter];
			}
			
			// Generate url for fx.php
			document.getElementById("image_preview").src = "<?php echo $filters . "?image=" . $_GET["image"] ?>" + filters;
				
			// Show preview status
			preview_status("waiting");
		}

		// Save image
		function save(originalWidth, originalHeight) {
			// Get filter to set
			levelInPercent = new Array("brightness", "contrast", "sharpness", "saturation", "smoothness", "temperature"); filters = "";
			for(i = 0; i < levelInPercent.length; i++) {
				filter = levelInPercent[i];
				levelInPercent[filter] = document.getElementById(filter).innerHTML;
				if(levelInPercent[filter] != "") filters += "&" + levelInPercent[i] + "=" + levelInPercent[filter];
			}

			// Get new sizes for saving
			newWidth = document.getElementById("image_width").value;
			newHeight = document.getElementById("image_height").value;
			sizes = "";
			if(newWidth != originalWidth || newHeight != originalHeight) {
				sizes = "&width=" + newWidth + "&height=" + newHeight;
			}		
						
			// Generate url for fx.php
			document.getElementById("image_preview").src = "<?php echo $filters . "?image=" . $_GET["image"] ?>" + filters + "&save" + sizes;
			
			// Show preview status
			preview_status("reload");
			document.getElementById("image_preview").onload = function() { document.location.href = "?image=<?php echo $_GET["image"] ?>"; }	
		}

		window.onload = function() { preview_request(); };
		window.onresize = function() { window.resizeTo(920, getWindowSize()); };
	</script>
</head>

<body>

<img style="display:block; margin-bottom:15px;" src="<?php echo $sources ?>photon-logo.gif" width="137" height="30" alt="photon">

<?php
	if($mode = "application" && (!isset($_GET["image"]) || (isset($_GET["option"]) && $_GET["option"] == "delete"))) {
		// Show images
		echo '<div id="images" style="text-align:left">';
			for($i = $_GET["position"]; $i < ($_GET["position"] + $images_per_site) && $i < $number_of_images; $i++)
				echo '<img class="image" src="' . $filters . '?image=' . $listed_image[$i] . '&amp;thumbnail=90" alt="' . $listed_image[$i] . '" title="' . $listed_image[$i] . '" onclick="option(\'' . $_GET["position"] . '\', \'' . $listed_image[$i] . '\', \'' . $listed_image_width[$i] . '\', \'' . $listed_image_height[$i] . '\', \'' . $listed_image_size[$i] . '\', \'' . $listed_image_type[$i] . '\')">';
		echo '</div>';

		// Images options
		echo '<div id="options" style="left:590px">';
			// Navigation
			echo '<div id="navigation">';
				if($_GET["position"] - $images_per_site > 0 ) $forward_to_position = $_GET["position"] - $images_per_site; else $forward_to_position = 0;
				if($_GET["position"] >= 1) echo '<a href="?position=' . $forward_to_position . '"><img id="backward" src="' . $sources . 'backward.gif" width="42" height="42" alt="backward" title="backward"></a>';
	
				if(($number_of_images - $_GET["position"]) < $images_per_site) $forward_to_position = $number_of_images - $_GET["position"]; else $forward_to_position = $_GET["position"] + $images_per_site;
				if($_GET["position"] + $images_per_site < $number_of_images) echo '<a href="?position=' . $forward_to_position . '"><img id="forward" src="' . $sources . 'forward.gif" width="42" height="42" alt="forward" title="forward"></a>';
			echo '</div>';

			// Images info
			echo '<table class="columns" cellpadding="0" cellspacing="2" width="100%">';
				echo '<tr><th colspan="2"><h3>&Uuml;bersicht:</h3></th></tr>';
				echo '<tr><td>Anzahl Bilder:</td><td>' . $number_of_images . '</td></tr>';
				echo '<tr><td>Speicherplatzverbrauch:</td><td>' . $directory_size . ' MB</td></tr>';
			echo '</table>';
			
			// Image preview
			echo '<img id="selected_image_preview" style="visibility:hidden; margin-top:15px" src="" alt="Vorschau">';

			// Image info
			echo '<table id="image_information" style="visibility:hidden" class="columns" cellpadding="0" cellspacing="2" width="100%">';
				echo '<tr><th colspan="2"><h3>Bildinformationen:</h3></th></tr>';
				echo '<tr><td>Dateiname:</td><td id="image_name"></td></tr>';
				echo '<tr><td>Dateityp:</td><td id="image_type"></td></tr>';
				echo '<tr><td>Breite:</td><td id="image_width"></td></tr>';
				echo '<tr><td>H&ouml;he:</td><td id="image_height"></td></tr>';
				echo '<tr><td>Dateigr&ouml;&szlig;e:</td><td id="image_size"></td></tr>';
			echo '</table>';
		
			// Images options
			echo '<div id="buttons"></div>';
		echo '</div>';
	} else if($_GET["option"] != "delete") {
		// Back to images
		echo '<div id="back-to-images"><a href="photon.php">Zur&uuml;ck zur Bilderauswahl</a></div>';

		echo '<div id="images">';
						
			$maximum_width = 580;
			$imagedata = getimagesize($images . $_GET["image"]);
			if($imagedata[0] > $maximum_width) {
				$paddingLeft = 0;
				$imagesize = 'width="' . $maximum_width . '" height="' . round($imagedata[1] * (100 * $maximum_width / $imagedata[0]) / 100, 0) . '"';
			} else {
				$paddingLeft = 0 + ($maximum_width - $imagedata[0]) / 2 ;
				$imagesize = $imagedata[3];
			}

			// Image preview
			echo '<img id="image_preview" name="image_preview" src="' . $images . $_GET["image"] . '" ' . $imagesize . ' alt="' . $_GET["image"] . '">';

			// Fullsize image
			echo '<div id="fullsize" style="padding-left:' . $paddingLeft . 'px"><a id="fullsize_link" href="' . $images . $_GET["image"] . '" target="_blank" title="Vollbildansicht"><img src="' . $sources . 'fullsize-symbol.png" width="25" height="25" alt="Fullsize"></a></div>';

			// Image information
			echo '<div id="image-info" style="padding-left:' . $paddingLeft . 'px">' . '<span>Name: ' . $_GET["image"] . '</span><span>Gr&ouml;&szlig;e: ' . round(filesize($images . $_GET["image"]) / 1000, 2) . ' KB</span><span>Abmessungen: ' . $imagedata[0] . ' &times; ' . $imagedata[1] . ' Pixel</span>' . '</div><div id="preview_status"></div>';
		echo '</div>';
		
		// Sliders
		echo '<br>';
		echo '<div id="slider_brightness" class="slider-container" style="background-image:url(' . $sources . 'brightness.gif)"><div class="slider"><div class="fader-bidirectional" id="fader_brightness" onmousedown="startSlide(\'slider_brightness\', \'fader_brightness\', \'brightness\', \'bidirectional\')" onmouseup="stopSlide(\'brightness\')"></div><div class="level">Helligkeit: <span id="brightness">0</span></div></div></div><br><br><br><br>';
		echo '<div id="slider_contrast" class="slider-container" style="background-image:url(' . $sources . 'contrast.gif)"><div class="slider"><div class="fader-bidirectional" id="fader_contrast" onmousedown="startSlide(\'slider_contrast\', \'fader_contrast\', \'contrast\', \'bidirectional\')" onmouseup="stopSlide(\'contrast\')"></div><div class="level">Kontrast: <span id="contrast">0</span></div></div></div><br><br><br><br>';
		echo '<div id="slider_sharpness" class="slider-container" style="background-image:url(' . $sources . 'sharpness.gif)"><div class="slider"><div class="fader" id="fader_sharpness" onmousedown="startSlide(\'slider_sharpness\', \'fader_sharpness\', \'sharpness\')" onmouseup="stopSlide(\'sharpness\')"></div><div class="level">Sch&auml;rfe: <span id="sharpness">0</span></div></div></div><br><br><br><br>';
		echo '<div id="slider_smoothness" class="slider-container" style="background-image:url(' . $sources . 'sharpness.gif)"><div class="slider"><div class="fader" id="fader_smoothness" onmousedown="startSlide(\'slider_smoothness\', \'fader_smoothness\', \'smoothness\')" onmouseup="stopSlide(\'smoothness\')"></div><div class="level">Weichzeichner: <span id="smoothness">0</span></div></div></div><br><br><br><br>';
		echo '<div id="slider_saturation" class="slider-container" style="background-image:url(' . $sources . 'saturation.gif)"><div class="slider"><div class="fader" id="fader_saturation" onmousedown="startSlide(\'slider_saturation\', \'fader_saturation\', \'saturation\')" onmouseup="stopSlide(\'saturation\')"></div><div class="level">Graustufen: <span id="saturation">0</span></div></div></div><br><br><br><br>';
		echo '<div id="slider_temperature" class="slider-container" style="background-image:url(' . $sources . 'temperature.gif)"><div class="slider"><div class="fader-bidirectional" id="fader_temperature" onmousedown="startSlide(\'slider_temperature\', \'fader_temperature\', \'temperature\', \'bidirectional\')" onmouseup="stopSlide(\'temperature\')"></div><div class="level">Temperatur: <span id="temperature">0</span></div></div></div><br><br><br><br>';
			
		// Image options
		echo '<div id="options" style="top:350px">';			
			// Options
			echo '<table width="100%"><tr>';
				// Reset image & faders
				echo '<td align="left">';
					echo '<div class="option"><img src="' . $filters . '?image=' . $_GET["image"] . '&amp;thumbnail=90" onclick="setSliders(\'reset\')"><br>Zur&uuml;cksetzen</div>';
					echo '<a style="position:relative; top:-45px; left:9px" href="' . $images . $_GET["image"] . '" target="_blank" title="Vollbildansicht"><img src="' . $sources . 'fullsize-symbol.png" width="25" height="25" alt="Fullsize"></a>';
				echo '</td>';
						
				// Restore image
				if(file_exists($backup . $_GET["image"])) {
					$colspan = 2;
					echo '<td align="left">';
						echo '<div class="option"><a onclick="return confirm(\'Mchten Sie die Originaldatei wieder herstellen und alle nderungen lschen?\')" href="?image=' . $_GET["image"] . '&amp;option=restore"><img src="' . $filters . '?fullpath_image=' . $backup . $_GET["image"] . '&amp;thumbnail=90" alt="' . $_GET["image"] . '"></a><br>Original</div>';
						echo '<a style="position:relative; top:-45px; left:9px" href="' . $backup . $_GET["image"] . '" target="_blank" title="Vollbildansicht"><img src="' . $sources . 'fullsize-symbol.png" width="25" height="25" alt="Fullsize"></a>';
					echo '</td>';
				} else
					$colspan = 1;
		echo '</tr></table>';
				
		// Scale image
		echo '<span class="level">Gr&ouml;&szlig;e:</span><br>';
		echo '<div id="resize">';
			echo '<input id="image_width" type="text" value="' . $imagedata[0] . '" onkeyup="calculateResize(this.id, ' . $imagedata[0] . ', ' . $imagedata[1] . ')"> &times; <input id="image_height" type="text" value="' . $imagedata[1] . '" onkeyup="calculateResize(this.id, ' . $imagedata[0] . ', ' . $imagedata[1] . ')">&nbsp;&nbsp;&nbsp;';
			echo '<select name="selectOptions" style="width:120px" size="1" onchange="if(this.selectedIndex > 1) changeResolution(this.options[this.selectedIndex].value);  if(this.selectedIndex == 0) scaleFree = 0; if(this.selectedIndex == 1) scaleFree = 1">';
				echo '<option>Proportional</option>';
				echo '<option>Frei skalieren</option>';
				echo '<option value="' . $imagedata[0] . ',' . $imagedata[1] . '">Originalgr&ouml;&szlig;e</option>';
				$size = calculate_resize($imagedata[0], $imagedata[1], 1024, 768); echo '<option value="' . $size[0] . ',' . $size[1] . '">' . $size[0] . ' &times; ' . $size[1] . '</option>';
				$size = calculate_resize($imagedata[0], $imagedata[1], 800, 600); echo '<option value="' . $size[0] . ',' . $size[1] . '">' . $size[0] . ' &times; ' . $size[1] . '</option>';
				$size = calculate_resize($imagedata[0], $imagedata[1], 640, 480); echo '<option value="' . $size[0] . ',' . $size[1] . '">' . $size[0] . ' &times; ' . $size[1] . '</option>';
			echo '</select>';
		echo '</div>';

		// Save image
		echo '<input type="image" src="' . $sources . 'save-button.gif" onclick="save(' . $imagedata[0] . ', ' . $imagedata[1] . ')">';
	echo '</div>';
	}
?>

<noscript><div id="noscript">Die Unterst&uuml;tzung f&uuml;r JavaScript ist in Ihrem Browser deaktiviert. PHOTON kann nicht ordnungsgem&auml;&szlig; ausgef&uuml;hrt werden.</div></noscript>

</body>
</html>